## beat2x 0.5-3

=== Makefile ===
CC = gcc
CXX = g++
STRIP = strip

CFLAGS = -O2 -Wall
CXXFLAGS = `sdl-config --cflags` -O2 -Wall -DSCALE2X
LIBS =  -lSDL_image -lpng12 -lz -ljpeg -lm -ldl -lSDL_mixer -lvorbis -lmikmod -lsmpeg -lSDL -lpthread -lX11
TARGET = beat2x
OBJS = main.o Engine.o Game.o Menu.o MenuMain.o MenuHiscores.o MenuSettings.o MenuChoosePack.o MenuChooseLevel.o MenuEnterInitials.o Song.o ButtonEvent.o SongStatistics.o ScoresManager.o InputHandler.o FPSCounter.o TextManager.o ThemeManager.o Settings.o scale2xsdl.o

ALL_TARGETS = $(TARGET)

all: $(ALL_TARGETS)

$(TARGET): $(OBJS)
	   $(CXX) $(LDFLAGS) -o $(TARGET) $(OBJS) $(LIBS)
	   $(STRIP) $(TARGET)

clean:
		rm -f $(ALL_TARGETS) *.o *~

=== debian/changelog ===
beat2x (0.5-3) stable; urgency=low

  * Fixed

 -- Andy1210 <andy1210@gmail.com>  Thu, 30 Aug 2010 19:08:23 +0100

beat2x (0.5-2) stable; urgency=low

  * Fixed dependencies

 -- Andy1210 <andy1210@gmail.com>  Thu, 30 Aug 2010 19:08:23 +0100

beat2x (0.5-1) stable; urgency=low

  * Initial release

 -- Andy1210 <andy1210@gmail.com>  Thu, 30 Aug 2010 19:08:23 +0100

=== debian/control ===
Source: beat2x
Section: user/games
Priority: extra
Maintainer: Andy1210 <andy1210@gmail.com>
Build-Depends: debhelper (>= 5), libsdl1.2-dev, libsdl-mixer1.2-dev, libsdl-image1.2-dev, libsmpeg-dev, libvorbis-dev, libpng12-dev, libmikmod2-dev, libpthread-stubs0-dev, libx11-dev, libjpeg62-dev, 
Standards-Version: 3.7.3

Package: beat2x
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, libsdl-mixer1.2
Description: Excellent rhythm game...
 Beat2x is a game in the style of Dance Dance Revolution and Stepmania where the player needs to press the buttons in synchronization with the rhythm of the music to score points. 
XB-Maemo-Display-Name: Beat2x
XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=61408
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAAEgBckRAAAACXBIWXMAAAsTAAALEwEAmpwYAAAK
 T2lDQ1BQaG90b3Nob3AgSUNDIHByb2ZpbGUAAHjanVNnVFPpFj333vRCS4iAlEtvUhUIIFJCi4AU
 kSYqIQkQSoghodkVUcERRUUEG8igiAOOjoCMFVEsDIoK2AfkIaKOg6OIisr74Xuja9a89+bN/rXX
 Pues852zzwfACAyWSDNRNYAMqUIeEeCDx8TG4eQuQIEKJHAAEAizZCFz/SMBAPh+PDwrIsAHvgAB
 eNMLCADATZvAMByH/w/qQplcAYCEAcB0kThLCIAUAEB6jkKmAEBGAYCdmCZTAKAEAGDLY2LjAFAt
 AGAnf+bTAICd+Jl7AQBblCEVAaCRACATZYhEAGg7AKzPVopFAFgwABRmS8Q5ANgtADBJV2ZIALC3
 AMDOEAuyAAgMADBRiIUpAAR7AGDIIyN4AISZABRG8lc88SuuEOcqAAB4mbI8uSQ5RYFbCC1xB1dX
 Lh4ozkkXKxQ2YQJhmkAuwnmZGTKBNA/g88wAAKCRFRHgg/P9eM4Ors7ONo62Dl8t6r8G/yJiYuP+
 5c+rcEAAAOF0ftH+LC+zGoA7BoBt/qIl7gRoXgugdfeLZrIPQLUAoOnaV/Nw+H48PEWhkLnZ2eXk
 5NhKxEJbYcpXff5nwl/AV/1s+X48/Pf14L7iJIEyXYFHBPjgwsz0TKUcz5IJhGLc5o9H/LcL//wd
 0yLESWK5WCoU41EScY5EmozzMqUiiUKSKcUl0v9k4t8s+wM+3zUAsGo+AXuRLahdYwP2SycQWHTA
 4vcAAPK7b8HUKAgDgGiD4c93/+8//UegJQCAZkmScQAAXkQkLlTKsz/HCAAARKCBKrBBG/TBGCzA
 BhzBBdzBC/xgNoRCJMTCQhBCCmSAHHJgKayCQiiGzbAdKmAv1EAdNMBRaIaTcA4uwlW4Dj1wD/ph
 CJ7BKLyBCQRByAgTYSHaiAFiilgjjggXmYX4IcFIBBKLJCDJiBRRIkuRNUgxUopUIFVIHfI9cgI5
 h1xGupE7yAAygvyGvEcxlIGyUT3UDLVDuag3GoRGogvQZHQxmo8WoJvQcrQaPYw2oefQq2gP2o8+
 Q8cwwOgYBzPEbDAuxsNCsTgsCZNjy7EirAyrxhqwVqwDu4n1Y8+xdwQSgUXACTYEd0IgYR5BSFhM
 WE7YSKggHCQ0EdoJNwkDhFHCJyKTqEu0JroR+cQYYjIxh1hILCPWEo8TLxB7iEPENyQSiUMyJ7mQ
 AkmxpFTSEtJG0m5SI+ksqZs0SBojk8naZGuyBzmULCAryIXkneTD5DPkG+Qh8lsKnWJAcaT4U+Io
 UspqShnlEOU05QZlmDJBVaOaUt2ooVQRNY9aQq2htlKvUYeoEzR1mjnNgxZJS6WtopXTGmgXaPdp
 r+h0uhHdlR5Ol9BX0svpR+iX6AP0dwwNhhWDx4hnKBmbGAcYZxl3GK+YTKYZ04sZx1QwNzHrmOeZ
 D5lvVVgqtip8FZHKCpVKlSaVGyovVKmqpqreqgtV81XLVI+pXlN9rkZVM1PjqQnUlqtVqp1Q61Mb
 U2epO6iHqmeob1Q/pH5Z/YkGWcNMw09DpFGgsV/jvMYgC2MZs3gsIWsNq4Z1gTXEJrHN2Xx2KruY
 /R27iz2qqaE5QzNKM1ezUvOUZj8H45hx+Jx0TgnnKKeX836K3hTvKeIpG6Y0TLkxZVxrqpaXllir
 SKtRq0frvTau7aedpr1Fu1n7gQ5Bx0onXCdHZ4/OBZ3nU9lT3acKpxZNPTr1ri6qa6UbobtEd79u
 p+6Ynr5egJ5Mb6feeb3n+hx9L/1U/W36p/VHDFgGswwkBtsMzhg8xTVxbzwdL8fb8VFDXcNAQ6Vh
 lWGX4YSRudE8o9VGjUYPjGnGXOMk423GbcajJgYmISZLTepN7ppSTbmmKaY7TDtMx83MzaLN1pk1
 mz0x1zLnm+eb15vft2BaeFostqi2uGVJsuRaplnutrxuhVo5WaVYVVpds0atna0l1rutu6cRp7lO
 k06rntZnw7Dxtsm2qbcZsOXYBtuutm22fWFnYhdnt8Wuw+6TvZN9un2N/T0HDYfZDqsdWh1+c7Ry
 FDpWOt6azpzuP33F9JbpL2dYzxDP2DPjthPLKcRpnVOb00dnF2e5c4PziIuJS4LLLpc+Lpsbxt3I
 veRKdPVxXeF60vWdm7Obwu2o26/uNu5p7ofcn8w0nymeWTNz0MPIQ+BR5dE/C5+VMGvfrH5PQ0+B
 Z7XnIy9jL5FXrdewt6V3qvdh7xc+9j5yn+M+4zw33jLeWV/MN8C3yLfLT8Nvnl+F30N/I/9k/3r/
 0QCngCUBZwOJgUGBWwL7+Hp8Ib+OPzrbZfay2e1BjKC5QRVBj4KtguXBrSFoyOyQrSH355jOkc5p
 DoVQfujW0Adh5mGLw34MJ4WHhVeGP45wiFga0TGXNXfR3ENz30T6RJZE3ptnMU85ry1KNSo+qi5q
 PNo3ujS6P8YuZlnM1VidWElsSxw5LiquNm5svt/87fOH4p3iC+N7F5gvyF1weaHOwvSFpxapLhIs
 OpZATIhOOJTwQRAqqBaMJfITdyWOCnnCHcJnIi/RNtGI2ENcKh5O8kgqTXqS7JG8NXkkxTOlLOW5
 hCepkLxMDUzdmzqeFpp2IG0yPTq9MYOSkZBxQqohTZO2Z+pn5mZ2y6xlhbL+xW6Lty8elQfJa7OQ
 rAVZLQq2QqboVFoo1yoHsmdlV2a/zYnKOZarnivN7cyzytuQN5zvn//tEsIS4ZK2pYZLVy0dWOa9
 rGo5sjxxedsK4xUFK4ZWBqw8uIq2Km3VT6vtV5eufr0mek1rgV7ByoLBtQFr6wtVCuWFfevc1+1d
 T1gvWd+1YfqGnRs+FYmKrhTbF5cVf9go3HjlG4dvyr+Z3JS0qavEuWTPZtJm6ebeLZ5bDpaql+aX
 Dm4N2dq0Dd9WtO319kXbL5fNKNu7g7ZDuaO/PLi8ZafJzs07P1SkVPRU+lQ27tLdtWHX+G7R7ht7
 vPY07NXbW7z3/T7JvttVAVVN1WbVZftJ+7P3P66Jqun4lvttXa1ObXHtxwPSA/0HIw6217nU1R3S
 PVRSj9Yr60cOxx++/p3vdy0NNg1VjZzG4iNwRHnk6fcJ3/ceDTradox7rOEH0x92HWcdL2pCmvKa
 RptTmvtbYlu6T8w+0dbq3nr8R9sfD5w0PFl5SvNUyWna6YLTk2fyz4ydlZ19fi753GDborZ752PO
 32oPb++6EHTh0kX/i+c7vDvOXPK4dPKy2+UTV7hXmq86X23qdOo8/pPTT8e7nLuarrlca7nuer21
 e2b36RueN87d9L158Rb/1tWeOT3dvfN6b/fF9/XfFt1+cif9zsu72Xcn7q28T7xf9EDtQdlD3YfV
 P1v+3Njv3H9qwHeg89HcR/cGhYPP/pH1jw9DBY+Zj8uGDYbrnjg+OTniP3L96fynQ89kzyaeF/6i
 /suuFxYvfvjV69fO0ZjRoZfyl5O/bXyl/erA6xmv28bCxh6+yXgzMV70VvvtwXfcdx3vo98PT+R8
 IH8o/2j5sfVT0Kf7kxmTk/8EA5jz/GMzLdsAAAAgY0hSTQAAeiUAAICDAAD5/wAAgOkAAHUwAADq
 YAAAOpgAABdvkl/FRgAADdVJREFUeNpEzaERgDAUg+G/r4IJmIADUde9EKyCRsMGXAVDVMEQbIAh
 CK4Q+V0ugT9TCOEEKgAr6pyr9uuoixlAjFEAtG/Je58ws00dWpZZ6lHO+VaDykzSgDQi9Qjovmcz
 S1p/fAAAAP//giMtLa1XUFcxoLhqwv1rogq83JzoEsoMMnDeRgYGBgYmJTm5//+tGO78k2Rg+M/0
 n+m/BYPfkVOnIa5SU1b+97+Z4f//eob/e46c+IdiuZqK8r89B0/CBQEAAAD//3SRMQ4BURiE5/3Z
 AgeQaBRWtlJ5layGRBQUepFo9whOoFW4waq1G7EKUeAi7wAaiax/FBLEkkz3ZSaZmZyMMXFHhOOS
 x24YXgEUP7n8MHFWVqwaGQr3W/YNBQCstZx7oHOOJKtaAVAH1BAA1lEUaatpKSLJa9qg5isHIKfg
 ZvgsNOq1L5yA7IPp8ZxfV0SSwPeVS5AxyAWYHk76/vV/8WS72+cTATwAAAD//4SSvUoDcRDEfzFn
 lAgiCYJtOovYCLGxSUCxsPEjjagvcKVCxMZHsLSyOmwjMa0kf/tLlQ/OxkfQ4opo4O7GIoch5tAt
 d2d2Z5lJ/W4Ui8X3KIpCAElpz/Pyf263bVuni5bOFiz5vq/fcytBDw+rAYTgawafQADIA2Gygh/j
 HMdRnG/IATlQfKHRaGiKcFGr6an9Mmw2myoUCmNCHkajUWTbdnRfPQgUs616va6jy2NYIXuSnh+W
 tzaz5ABBJpOZ85y7oL2O9bacotvtji8Z05b2kKpoe3dfuka6QjtrlnSIehuo0+loygdjjMqPFViK
 nw6ADxi8wueNS6lUSs0YZ4xReVAZBzqEfh++zifgxDLGSM+odzuR8W+1Wi25rpsI/mal7F2bCqMw
 /ryJH1SoRYkQlC6mTaHLxVyvWgSFYiUWHF2UOtjIDRakReymQ3Axf4LpYoTg4JSloTS56GSGTE2H
 KEWICHEMoZYayc+hN1FqK/HjgXc5cM7zvu/5nWP6yM+m0+kZy7J6ffEBlWVZCofDRyRt6W9ljMne
 m5tjJSgICU4Kjonpc06r2Wyye+T7Q28vDe7QpUP+fU1/aYF94uO/RI767e+evTMf/dbAtm3mFxao
 Vqvr+XweSRFJJhQ6Ibov8LFHqN1uS9K2pHwymew8z2ZTwI/d1VUsFuPB4iJPDgiGBWPixp27m41G
 g1Qq1cosLVE4L5gRzApuifiE3arX618rlQqu63auDJhvjAhOibNnYvhGhd6u8zyP0dORDrZgQjAp
 uC6cy1ObzzIZClOCecFDwX0Rv2i3ACaPB9tMCy4JHLE2LFbflrvYRs3u3VgqleLubILahQ2joM/I
 oLTySbo67jd5W7qZk3LXJLV2mr7+UWo8LTN0MGAcxxmT9G7fOQgEAsvFYjHuJhLUbm8YGd9owDf4
 4pO0JVU/SJ/dMkOHA8ZxnKik932T2f266Eikw0tBTvBKkBVrj8Xqm3LHH/dR/Yt+Nqq9EMXXvcJR
 /U8ZY5Y9z/ujwt9pr76Yps4o/rsXR9vb23lDuXKHTnGboRj/0i6DsSWEF8zCw/owHnghA180+ZIl
 CwYIGl58EIOYNBh0pUtnXHjYrEu2l/ni/xgD9UHTMfWiFI0pdkukFFJ7b48Pt/SPNLUGPMn38t37
 nd/9ne+c8zv3rfVYU1PznyAIhSSFV1X1YSKRaFxTq3C5XBUdHR0QBCFvv7q6Gm63O6yqKtYEoOs6
 jh47hv0PpkFlhhbFk4Tfk0m9SKspHYCIoAE4L2hGmmpAOAokiYiIUmsGyJgAwJzWOkvpiVEawErX
 N6cnCPN6A6yBQaFL6in4piVnmdOs8k1My1JRgBOjo6NDFRUVoZWNsrIycBxnMMgBofzJTGhoaIj5
 fL4FGJNJQYChvr6+IwuxGMLhcJ0kSf8AgM1mg8lkWsVA0zQQEQfA0tTUFK+trcV37e0YHx9fzAVZ
 ARjq7+/v+TXwB17096aWE4nU7OysQ5KkO6IoJk3lpnwGZqM+NE3b0NbWtuRwOHB35snShE1Ec+uB
 PBAewFBvb2/PhcAlPFkIYbgG/MBHdrzSND0YDH4uSdKrclN5PgMLoCU1jIyMbGlsbMSd6YdLN59f
 FQ5+DExu3Yzm1lZ4vd5FAFa+q6urZ8u2bTjzOGRcngUY2wt+YLudTwG63W63gpBlkM6mVCqFlpYW
 6frde0s3tWuCaDOet28FvtlZh+7ublRWVj7gfT6f+G8ohKdn/QjEsiEY+xLcqa8+4crN5tSqLLIA
 HMfR2PmJ5YnYhGATs8pXH5cx/XIBiqKo0Wh0Mw8g7vF4bPcnJ/HipB+B/7NfOdoMfnr4EM/xG4y9
 nHv46cJvOHTrsGXjh1nnzjmZgvPzUBRFjUQin73Zrq2MscXdThcqT3fCXZc+aAV+uAGcdgP4wCi0
 uXnApgOSnpZODXBekTH1LN95IT2wMsYWd9W7IPs64d6TH3cI6Upezlk64Lwo09TcPKcoykwkEvm0
 WKHFPR6PeD84iej3fgQe51SupcDaCDgvZZyrbzovpmgGk30ubLrciW+/yIn/CgMCnMMypmZWh6VU
 yRQYY/Fd+1yQb3fC/TUyfxogoH5ARvBRceelmJUxRme9frr4I4j+BNHfoP07ZCIiqqqqerQew4SV
 MUbnvH766zio3rG+zjOtmDFGvp9/eS/OM0wGBwdJURT1XQ69Zs5cY5o6wzj+fw/nnNLS2nahxM1o
 jCgXs5mwVqdTJGl1iJdkGi+J2cwWFVlEEzPZMjVxYZcoc0smcRNoTUh0KjBuE2U3yaaSoMXJwEtE
 JnR+GNVg3EqlcM559qGvWqpMDGR6khO+lLz/3/u8z/M+/+ewUVj40NatW1dnZGRAkqToe+KhR9M0
 yLIMs9mMVatWtV6/fv2VkXg8caTqGWNae3s7gsEgrFYr4mw2xMjyg16BbxPxpE6dMAGzZs6ERgRB
 ENSRri+OQgSIMQYwhvLqahRfvIgMPS+LEo/xQPj1B4G3HPZ/5jed1YcCAZEeF67/CWCQ9e+Xefci
 8pfx4jUA9A0ATBDYaK4pjnoq6nhBFKMiIHE3zUZ3udEFIA5gABATASBGXCHPNEBkBKIB1AgAGr3l
 hGH8psDhcBDvghOHBWAYojsYnmMxAKiZO3cuSZJUH92mPwlAgcPhoLy8vLzly5fjwoULKXV1ddcs
 Fsul8GQ7wpPo9TAajZBEKTzDiAYwPAAg7lhVVX3IWwComT17du+6deuWrF27Fv39/ZkHDhwICIJw
 fCiQRwEU2O122rZtW16G04mjVdWorDseutvXpzrsdnR1daXW1ta2c5DxAHpNJhMsFgt0Oh1IjhId
 DQG6DwCgn49tKufMmdObk5OzJCU5GZIkoaK2tm/m3Axyzp8PVVWzPB5PgA/Q4obKgQK73Z6XmZmJ
 kKLgYGU11l+7hK4EAJ3tupypKdrtt9cH9+3epXM4HDE+ny+1rq6uc8OGDX2xsbEBq/U5o06nA2lc
 LIsqoyp3dH0ERVEQCoX6FUVJzc3NvT1lyhS0tLQAAM5dvRZMOHdKroynWBMDyiaOx4ppdhz5rhaq
 qi7weDyB7Ozsek3TlgPoFRljX6anp292Op3oDd5FWXk5cjrb0RUP4HmeiCKwfyoENJcYciaU0O1V
 64Nff16gS0tLiykqKjL4/X4wBgiCEN5PPRceWUbvufYQoAwoZDQa5StXrsgtLS1obGyks5fbg2Nb
 T8unJ5HBlMRjowArxwEr/c2omTgOb6a+BPe3lVBVdcHhw4cD2dnZDQIRbW9sbDzR09ODrMzX8P72
 HSgZn0hVvfxCivQEemC/A+yor8SwI8kq5O38OCiIosrY8JM4RhR1jLEYAJAkicqO/xCsy39PbZRP
 GX6cTqLJGOE/9GENbSEg32LDJyVupE6ZDK/Xiy1btnQEAoEcAUBAUZSFe/fuNbrmzav/vdmL/R43
 u7m3FMmhRKq6w2cCkZUkFvgqHawWBw2ntq4QSstrSJJ14QjohhDPBWmaEjKbzar7mwoseEGPna0f
 Gk7O10STCYP/lwt/+ZYN/mNNaL7ph0mMwdixYzumT5+ezF3C1UddK3GMsYrc3NwFy5YtQ3uXD3vy
 82mXroMtTY7IHH60IIcXfvcM8MVlI35+PQBnCq/1kUdIA/w9QMqhMYrDEhTKnYpglh/YRgzwvwDa
 bgBr/rThs8pjcM2aAa/Xi0WLFnX4/f6F90a8w2mnB4Fc7fRhz0f5tDu+gy2dFhb0EIgIBAkwGKJa
 CS4w1AfEqLxy9EUJZ8DFLmDNJRsKyo6R69UZzOv1YvHixX90d3dnRQsfzj3QS0RZhYWFRqfTWd92
 3otij5vdeqcUyQ2JVOUDYH04RwxjhjhCekBnBMQ4DL4rLEDb34D9exv9tbOJmm/4YZYFxo9KErfC
 V0dyE98Hcblc9a3nvShyu9nN1aVIrkik6g4OMlTdH+q1AG13APsRG3VvbqJmn5+ZdYOETx7O4F54
 grajV9O0rMLCwjiXy1Xf9hsHWVKK5OJEqrrMPxUZoiCiQaxAWw9g329D9xtN1NzpZ+bYJxc+Kh5W
 EIQTmzZtooaGBirylFLS5EStMhdEtSAqB1EViKr5F4waUOunoLTJ8fTTL01EROT1eu8Z7CQ8xSeO
 MXY8DHKSit0c5AMQnQHRaVDrPlBakm2Q8ISEhKcu/FEg9yNS7C6lF1Mm0NRJVmr49dna8WGBbNy4
 kZqanu0dfyyILMsnjUajb8Rf7P7j+XcAPBoLVmWKD40AAAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/beat2x.sgml > beat2x.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/beat2x.
	# $(MAKE) DESTDIR="$(CURDIR)/debian/beat2x" install
	
	cp "$(CURDIR)/beat2x" "$(CURDIR)/debian/beat2x/opt/beat2x/"
	cp "$(CURDIR)/data/apstart" "$(CURDIR)/debian/beat2x/opt/beat2x/"
	cp -r "$(CURDIR)/data/data" "$(CURDIR)/debian/beat2x/opt/beat2x/"
	cp -r "$(CURDIR)/data/packs" "$(CURDIR)/debian/beat2x/opt/beat2x/"
	cp -r "$(CURDIR)/data/themes" "$(CURDIR)/debian/beat2x/opt/beat2x/"
	cp "$(CURDIR)/data/beat2x.desktop" "$(CURDIR)/debian/beat2x/usr/share/applications/hildon/"
	cp "$(CURDIR)/data/beat2x.png" "$(CURDIR)/debian/beat2x/usr/share/pixmaps/"
	cp "$(CURDIR)/data/lib/libSDL_mixer-1.2.so.0" "$(CURDIR)/debian/beat2x/opt/beat2x/lib/"
	cp "$(CURDIR)/data/lib/libSDL_mixer-1.2.so.0.2.4" "$(CURDIR)/debian/beat2x/opt/beat2x/lib/"



# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
